# serial: Data Structures

serial 1.0 Cross-platformserialportlibraryforC++

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Namespaces Files Functions Enumerations Enumerator Defines
Data Structures
Here are the data structures with brief descriptions:

serial::IOException |
serial::PortNotOpenedException |
serial::Serial::ScopedReadLock |
serial::Serial::ScopedWriteLock |
serial::Serial |
serial::SerialExceptionBase |
serial::SerialExecption |
serial::serial::Serial::SerialImpl |